<?php

namespace Database\Seeders;

use App\Models\HrCountryModel;
use Illuminate\Database\Seeder;

class HrCountriesSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $_data =[
            [
                'country_code' => '1',
                'country_name_ar' => 'امريكا',
                'country_name_en' => 'United States',
                'nationality_name_ar' => 'امريكي',
                'nationality_name_en' => 'American',
            ],
            [
                'country_code' => '2',
                'country_name_ar' => 'كندا',
                'country_name_en' => 'Canada',
                'nationality_name_ar' => 'كندي',
                'nationality_name_en' => 'Canadian',
            ],
            [
                'country_code' => '7',
                'country_name_ar' => 'روسيا',
                'country_name_en' => 'Russia',
                'nationality_name_ar' => 'روسي',
                'nationality_name_en' => 'Russian',
            ],
            [
                'country_code' => '20',
                'country_name_ar' => 'مصر',
                'country_name_en' => 'Egypt',
                'nationality_name_ar' => 'مصري',
                'nationality_name_en' => 'Egyption',
            ],
            [
                'country_code' => '27',
                'country_name_ar' => 'جنوب افريقيا',
                'country_name_en' => 'South Africa',
                'nationality_name_ar' => 'جنوب افريقي',
                'nationality_name_en' => 'South African',
            ],
            [
                'country_code' => '30',
                'country_name_ar' => 'اليونان',
                'country_name_en' => 'Greece',
                'nationality_name_ar' => 'يوناني',
                'nationality_name_en' => 'Greek',
            ],
            [
                'country_code' => '31',
                'country_name_ar' => 'هولندا',
                'country_name_en' => 'Holland',
                'nationality_name_ar' => 'هولندي',
                'nationality_name_en' => 'Dutch',
            ],
            [
                'country_code' => '32',
                'country_name_ar' => 'بلجيكيا',
                'country_name_en' => 'Belgium',
                'nationality_name_ar' => 'بلجيكي',
                'nationality_name_en' => 'Belgian',
            ],
            [
                'country_code' => '33',
                'country_name_ar' => 'فرنسا',
                'country_name_en' => 'France',
                'nationality_name_ar' => 'فرنسي',
                'nationality_name_en' => 'French',
            ],
            [
                'country_code' => '34',
                'country_name_ar' => 'أسبانيا',
                'country_name_en' => 'Spain',
                'nationality_name_ar' => 'أسباني',
                'nationality_name_en' => 'Spanish',
            ],
            [
                'country_code' => '39',
                'country_name_ar' => 'ايطاليا',
                'country_name_en' => 'Italy',
                'nationality_name_ar' => 'ايطالي',
                'nationality_name_en' => 'Italian',
            ],
            [
                'country_code' => '40',
                'country_name_ar' => 'Romania',
                'country_name_en' => 'Italy',
                'nationality_name_ar' => 'روماني',
                'nationality_name_en' => 'Romanian',
            ],
            [
                'country_code' => '41',
                'country_name_ar' => 'سويسرا',
                'country_name_en' => 'Switzerland',
                'nationality_name_ar' => 'سويسري',
                'nationality_name_en' => 'Swiss',
            ],
            [
                'country_code' => '43',
                'country_name_ar' => 'النمسا',
                'country_name_en' => 'Austria',
                'nationality_name_ar' => 'نمساوي',
                'nationality_name_en' => 'Austrian',
            ],
            [
                'country_code' => '44',
                'country_name_ar' => 'بريطانيا',
                'country_name_en' => 'Britain',
                'nationality_name_ar' => 'بريطاني',
                'nationality_name_en' => 'British',
            ],
            [
                'country_code' => '45',
                'country_name_ar' => 'الدنمارك',
                'country_name_en' => 'Denmark',
                'nationality_name_ar' => 'دنماركي',
                'nationality_name_en' => 'Danish',
            ],
            [
                'country_code' => '46',
                'country_name_ar' => 'السويد',
                'country_name_en' => 'Sweden',
                'nationality_name_ar' => 'سويدي',
                'nationality_name_en' => 'suede',
            ],
            [
                'country_code' => '49',
                'country_name_ar' => 'المانيا',
                'country_name_en' => 'Germany',
                'nationality_name_ar' => 'الماني',
                'nationality_name_en' => 'German',
            ],
            [
                'country_code' => '52',
                'country_name_ar' => 'المكسيك',
                'country_name_en' => 'Mexico',
                'nationality_name_ar' => 'مكسيكي',
                'nationality_name_en' => 'Mexican',
            ],
            [
                'country_code' => '60',
                'country_name_ar' => 'ماليزيا',
                'country_name_en' => 'Malaysia',
                'nationality_name_ar' => 'ماليزي',
                'nationality_name_en' => 'Malaysian',
            ],
            [
                'country_code' => '61',
                'country_name_ar' => 'استراليا',
                'country_name_en' => 'Australia',
                'nationality_name_ar' => 'استرالي',
                'nationality_name_en' => 'Australian',
            ],
            [
                'country_code' => '63',
                'country_name_ar' => 'الفلبين',
                'country_name_en' => 'Philippines',
                'nationality_name_ar' => 'فلبيني',
                'nationality_name_en' => 'Filipino',
            ],
            [
                'country_code' => '65',
                'country_name_ar' => 'سنغافورة',
                'country_name_en' => 'Singapore',
                'nationality_name_ar' => 'سنغافوري',
                'nationality_name_en' => 'Singaporean',
            ],
            [
                'country_code' => '81',
                'country_name_ar' => 'اليابان',
                'country_name_en' => 'Japan',
                'nationality_name_ar' => 'ياباني',
                'nationality_name_en' => 'Japanese',
            ],
            [
                'country_code' => '82',
                'country_name_ar' => 'كوريا الجنوبية',
                'country_name_en' => 'South Korea',
                'nationality_name_ar' => 'كوري جنوبي',
                'nationality_name_en' => 'South Korean',
            ],
            [
                'country_code' => '86',
                'country_name_ar' => 'الصين',
                'country_name_en' => 'China',
                'nationality_name_ar' => 'صيني',
                'nationality_name_en' => 'Chinese',
            ],
            [
                'country_code' => '90',
                'country_name_ar' => 'تركيا',
                'country_name_en' => 'Turkey',
                'nationality_name_ar' => 'تركي',
                'nationality_name_en' => 'Turkish',
            ],
            [
                'country_code' => '91',
                'country_name_ar' => 'الهند',
                'country_name_en' => 'India',
                'nationality_name_ar' => 'هندي',
                'nationality_name_en' => 'Indian',
            ],
            [
                'country_code' => '92',
                'country_name_ar' => 'باكستان',
                'country_name_en' => 'Pakistan',
                'nationality_name_ar' => 'باكستاني',
                'nationality_name_en' => 'Pakistani',
            ],
            [
                'country_code' => '93',
                'country_name_ar' => 'افغانسان',
                'country_name_en' => 'Afghanistan',
                'nationality_name_ar' => 'افغانساني',
                'nationality_name_en' => 'Afghansani',
            ],
            [
                'country_code' => '94',
                'country_name_ar' => 'سيرلانكا',
                'country_name_en' => 'Sri Lanka',
                'nationality_name_ar' => 'سيرلانكي',
                'nationality_name_en' => 'Sri Lankan',
            ],
            [
                'country_code' => '98',
                'country_name_ar' => 'إيران',
                'country_name_en' => 'Iran',
                'nationality_name_ar' => 'إيراني',
                'nationality_name_en' => 'Iranian',
            ],
            [
                'country_code' => '210',
                'country_name_ar' => 'المغرب',
                'country_name_en' => 'Morocco',
                'nationality_name_ar' => 'مغربي',
                'nationality_name_en' => 'Moroccan',
            ],
            [
                'country_code' => '214',
                'country_name_ar' => 'الجزائر',
                'country_name_en' => 'Ageria',
                'nationality_name_ar' => 'جزائري',
                'nationality_name_en' => 'Agerian',
            ],
            [
                'country_code' => '216',
                'country_name_ar' => 'تونس',
                'country_name_en' => 'Tunisia',
                'nationality_name_ar' => 'تونسي',
                'nationality_name_en' => 'Tunisian',
            ],
            [
                'country_code' => '218',
                'country_name_ar' => 'ليبيا',
                'country_name_en' => 'Libya',
                'nationality_name_ar' => 'ليبي',
                'nationality_name_en' => 'Libyan',
            ],
            [
                'country_code' => '221',
                'country_name_ar' => 'السنغال',
                'country_name_en' => 'Senegal',
                'nationality_name_ar' => 'سنغالي',
                'nationality_name_en' => 'Senegalese',
            ],
            [
                'country_code' => '222',
                'country_name_ar' => 'موريتانيا',
                'country_name_en' => 'Mauritania',
                'nationality_name_ar' => 'موريتاني',
                'nationality_name_en' => 'Mauritanian',
            ],
            [
                'country_code' => '223',
                'country_name_ar' => 'مالي',
                'country_name_en' => 'Mali',
                'nationality_name_ar' => 'مالي',
                'nationality_name_en' => 'Mali',
            ],
            [
                'country_code' => '226',
                'country_name_ar' => 'بروكينو',
                'country_name_en' => 'Brokino',
                'nationality_name_ar' => 'بروكينوي',
                'nationality_name_en' => 'Brokenway',
            ],
            [
                'country_code' => '233',
                'country_name_ar' => 'غانا',
                'country_name_en' => 'Ghana',
                'nationality_name_ar' => 'غاني',
                'nationality_name_en' => 'Ghanaian',
            ],
            [
                'country_code' => '234',
                'country_name_ar' => 'نيجيريا',
                'country_name_en' => 'Nigeria',
                'nationality_name_ar' => 'نيجيري',
                'nationality_name_en' => 'Nigerian',
            ],
            [
                'country_code' => '235',
                'country_name_ar' => 'تشاد',
                'country_name_en' => 'Chad',
                'nationality_name_ar' => 'تشادي',
                'nationality_name_en' => 'Chadian',
            ],
            [
                'country_code' => '249',
                'country_name_ar' => 'السودان',
                'country_name_en' => 'Sudan',
                'nationality_name_ar' => 'سوداني',
                'nationality_name_en' => 'Sudanese',
            ],
            [
                'country_code' => '251',
                'country_name_ar' => 'اثيوبيا',
                'country_name_en' => 'Ethiopia',
                'nationality_name_ar' => 'اثيوبي',
                'nationality_name_en' => 'Ethiopian',
            ],
            [
                'country_code' => '252',
                'country_name_ar' => 'الصومال',
                'country_name_en' => 'Somalia',
                'nationality_name_ar' => 'صومالي',
                'nationality_name_en' => 'Somali',
            ],
            [
                'country_code' => '253',
                'country_name_ar' => 'جيبوتي',
                'country_name_en' => 'Djibouti',
                'nationality_name_ar' => 'جيبوتي',
                'nationality_name_en' => 'Djibouti',
            ],
            [
                'country_code' => '254',
                'country_name_ar' => 'كينيا',
                'country_name_en' => 'Kenya',
                'nationality_name_ar' => 'كيني',
                'nationality_name_en' => 'Kenny',
            ],
            [
                'country_code' => '291',
                'country_name_ar' => 'ارتيريا',
                'country_name_en' => 'Eritrea',
                'nationality_name_ar' => 'ارتيري',
                'nationality_name_en' => 'Eritrean',
            ],
            [
                'country_code' => '358',
                'country_name_ar' => 'فنلندا',
                'country_name_en' => 'Finland',
                'nationality_name_ar' => 'فنلندي',
                'nationality_name_en' => 'Finnish',
            ],
            [
                'country_code' => '359',
                'country_name_ar' => 'بلغاريا',
                'country_name_en' => 'Bulgaria',
                'nationality_name_ar' => 'بلغاري',
                'nationality_name_en' => 'Bulgarian',
            ],
            [
                'country_code' => '421',
                'country_name_ar' => 'سلوفاكيا',
                'country_name_en' => 'Slovakia',
                'nationality_name_ar' => 'سلوفاكي',
                'nationality_name_en' => 'Slovakian',
            ],
            [
                'country_code' => '855',
                'country_name_ar' => 'كمبوديا',
                'country_name_en' => 'Cambodia',
                'nationality_name_ar' => 'كمبودي',
                'nationality_name_en' => 'Cambodian',
            ],
            [
                'country_code' => '880',
                'country_name_ar' => 'بنجلاديش',
                'country_name_en' => 'Bangladesh',
                'nationality_name_ar' => 'بنجلاديشي',
                'nationality_name_en' => 'Bangladeshi',
            ],
            [
                'country_code' => '886',
                'country_name_ar' => 'تايوان',
                'country_name_en' => 'Taiwan',
                'nationality_name_ar' => 'تايواني',
                'nationality_name_en' => 'Taiwanese',
            ],
            [
                'country_code' => '961',
                'country_name_ar' => 'لبنان',
                'country_name_en' => 'Lebanon',
                'nationality_name_ar' => 'لبناني',
                'nationality_name_en' => 'Lebanese',
            ],
            [
                'country_code' => '962',
                'country_name_ar' => 'الاردن',
                'country_name_en' => 'Jordan',
                'nationality_name_ar' => 'أردني',
                'nationality_name_en' => 'Jordanian',
            ],
            [
                'country_code' => '963',
                'country_name_ar' => 'سوريا',
                'country_name_en' => 'Syria',
                'nationality_name_ar' => 'سوري',
                'nationality_name_en' => 'Syrian',
            ],
            [
                'country_code' => '964',
                'country_name_ar' => 'العراق',
                'country_name_en' => 'Iraq',
                'nationality_name_ar' => 'عراقي',
                'nationality_name_en' => 'Iraqi',
            ],
            [
                'country_code' => '965',
                'country_name_ar' => 'الكويت',
                'country_name_en' => 'Kuwait',
                'nationality_name_ar' => 'كويتي',
                'nationality_name_en' => 'Kuwaiti',
            ],
            [
                'country_code' => '966',
                'country_name_ar' => 'السعودية',
                'country_name_en' => 'Saudia Arabia',
                'nationality_name_ar' => 'سعودي',
                'nationality_name_en' => 'Saudi',
            ],
            [
                'country_code' => '967',
                'country_name_ar' => 'اليمن',
                'country_name_en' => 'Yemen',
                'nationality_name_ar' => 'يمني',
                'nationality_name_en' => 'Yemeni',
            ],
            [
                'country_code' => '968',
                'country_name_ar' => 'عمان',
                'country_name_en' => 'Oman',
                'nationality_name_ar' => 'عماني',
                'nationality_name_en' => 'Omani',
            ],
            [
                'country_code' => '970',
                'country_name_ar' => 'فلسطين',
                'country_name_en' => 'Paslestine',
                'nationality_name_ar' => 'فلسطيني',
                'nationality_name_en' => 'Paslestinian',
            ],
            [
                'country_code' => '971',
                'country_name_ar' => 'الإمارات',
                'country_name_en' => 'Emirates',
                'nationality_name_ar' => 'أماراتي',
                'nationality_name_en' => 'Emirati',
            ],
            [
                'country_code' => '973',
                'country_name_ar' => 'البحرين',
                'country_name_en' => 'Bahrain',
                'nationality_name_ar' => 'بحريني',
                'nationality_name_en' => 'Bahrains',
            ],
            [
                'country_code' => '974',
                'country_name_ar' => 'قطر',
                'country_name_en' => 'Qatar',
                'nationality_name_ar' => 'قطري',
                'nationality_name_en' => 'Qatari',
            ],
            [
                'country_code' => '977',
                'country_name_ar' => 'نيبال',
                'country_name_en' => 'Nepal',
                'nationality_name_ar' => 'نيبالي',
                'nationality_name_en' => 'Nepali',
            ],
        ];
        HrCountryModel::insert($_data);
    }
}
